Subject: Re: bug#25852: Users not updating their installations of Guix

From: Tomáš Čech <[email-masked]>
Date: Sun, 5 Mar 2017 08:56:41 +0100

On Sat, Mar 04, 2017 at 05:43:59PM -0500, Leo Famulari wrote:
>On Sat, Mar 04, 2017 at 09:29:41PM +0100, Tomáš Čech wrote:
>> On Thu, Feb 23, 2017 at 04:11:56PM -0500, Leo Famulari wrote:
>> > In my opinion, the recent bug #25775 (Can't install packages after guix
>> > pull) [0] exposed a sort of meta-bug: there are a significant number of
>> > users who were still using the guix-daemon from 0.10.0.
>> >
>> > It seems unlikely that they have been updating all of root's
>> > packages except for the guix package. Rather, I bet they never updated
>> > root's packages at all, for ~1 year.
>> >
>> > I think this is a serious documentation bug.
>>
>> One problem may be that Guix on top of foreign distribution is not
>> able to update itself.
>
>I can update my Guix-on-Debian systems without trouble, using the normal
>`guix pull && guix package -u .` method.

I'm sorry, I meant guix-daemon here.

>> I still offer guix-0.12 RPM package for openSUSE installation as there
>> was no new release. Guix is able to update itself via `guix pull' but
>> it doesn't affect system installation of guix-daemon.
>
>Interesting, I didn't know there was a distro package for openSUSE.

I'm trying to maintain it for quite a long time already... It's part
of distribution (but not on installation medium :)

>For that package, the root user cannot update the guix-daemon?

root user can do anything, but that is not the point here. The point
is that root user interaction is _required_.

I may alter guix-daemon service file to use
/root/.guix-profile/... path that that is also unsafe hack relying
that root user will not break his stuff.

Splitting packages into 2 could be another way to do it, better, quite natural.

And IMHO the best and also "Guix way" could be making guix-daemon aware of
possible newer versions in /gnu/store and execing them instead...

Best regards,

S_W